Skip to content

This endpoint is no longer maintained and should not be used.

PUT
/notifications/{notificationId}/subNotifications/{subNotificationId}
curl --request PUT \
--url https://api.pingram.io/notifications/example/subNotifications/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example" }'

Authorizations

Parameters

Path Parameters

notificationId
required
string

The notification ID

subNotificationId
required
string

The sub-notification ID

Request Bodyrequired

Media typeapplication/json
object
title
required
string
Examplegenerated
{
"title": "example"
}

Responses

200

Successful response

Media typeapplication/json
object
accountId
required
string
notificationId
required
string
subNotificationId
required
string
title
required
string
Examplegenerated
{
"accountId": "example",
"notificationId": "example",
"subNotificationId": "example",
"title": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}